# MNotes

A modern Markdown note-taking application with Material Design 3 styling. MNotes allows you to create, edit, and organize your notes with a clean and intuitive interface.

## Features

- **Markdown Support**: Write notes using Markdown syntax with real-time preview
- **Material Design 3**: Beautiful and responsive UI following Material Design principles
- **Theme Customization**: Choose between light, dark, and sepia themes with customizable primary colors
- **GitHub Integration**: Save your notes directly to GitHub repositories
- **Local Storage**: Notes are automatically saved to your browser's local storage
- **Search Functionality**: Quickly find notes using the built-in search
- **Keyboard Shortcuts**: Boost your productivity with keyboard shortcuts
- **Auto-save**: Never lose your work with automatic saving
- **Export**: Download your notes as Markdown files

## Getting Started

Simply open the `index.html` file in your web browser to start using MNotes. No installation or server required!

## Keyboard Shortcuts

- `Ctrl+S` / `Cmd+S`: Save current note
- `Ctrl+P` / `Cmd+P`: Toggle markdown preview
- `Ctrl+B` / `Cmd+B`: Bold text
- `Ctrl+I` / `Cmd+I`: Italic text

## Technology

MNotes is built using pure HTML, CSS, and JavaScript, with no framework dependencies. It utilizes the Material Web Components library for UI elements.

## Credits

- **Jakub Ruzicka / korozelife** ([@thejakubruzicka](https://github.com/thejakubruzicka)) - Main idea
- **mxnticek** ([@VlastikYoutubeKo](https://github.com/VlastikYoutubeKo)) - Adding some features
- **Gemini AI** (Google AI) - Rough example of the app
- **Claude AI** - Finishing touches of the app

## License

This project is open source and available under the MIT License.

## Version

Current version: 1.0.0